SuSE 11.3 Security Update : Python (SAT Patch Number 9996)

medium Nessus Plugin ID 79619
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote SuSE 11 host is missing one or more security updates.

Description

Python was updated to fix one security issue :

- Potential wraparound/overflow in buffer() (CVE-2014-7185) As an additional hardening measure SSLv2 has been disabled. (bnc#901715)

Solution

Apply SAT patch number 9996.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=898572

https://bugzilla.novell.com/show_bug.cgi?id=901715

http://support.novell.com/security/cve/CVE-2014-7185.html

Plugin Details

Severity: Medium

ID: 79619

File Name: suse_11_python-2014-11-19-141119.nasl

Version: 1.3

Type: local

Agent: unix

Published: 11/28/2014

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 5.2

CVSS v2

Risk Factor: Medium

Base Score: 6.4

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:libpython2_6-1_0, p-cpe:/a:novell:suse_linux:11:libpython2_6-1_0-32bit, p-cpe:/a:novell:suse_linux:11:python, p-cpe:/a:novell:suse_linux:11:python-32bit, p-cpe:/a:novell:suse_linux:11:python-base, p-cpe:/a:novell:suse_linux:11:python-base-32bit, p-cpe:/a:novell:suse_linux:11:python-curses, p-cpe:/a:novell:suse_linux:11:python-demo, p-cpe:/a:novell:suse_linux:11:python-devel, p-cpe:/a:novell:suse_linux:11:python-doc, p-cpe:/a:novell:suse_linux:11:python-doc-pdf, p-cpe:/a:novell:suse_linux:11:python-gdbm, p-cpe:/a:novell:suse_linux:11:python-idle, p-cpe:/a:novell:suse_linux:11:python-tk, p-cpe:/a:novell:suse_linux:11:python-xml, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 11/19/2014

Reference Information

CVE: CVE-2014-7185